Subject: Re: [Gen-art] Gen-ART review of draft-ietf-ecrit-psap-callback-10

From: Jari Arkko <[email-masked]>
Date: Wed, 9 Oct 2013 21:49:06 +0300

Vijay, thanks for the detailed review and Hannes thanks for the update! I have balloted a No-Obj position for this draft.

Jari

On Sep 29, 2013, at 6:16 PM, Hannes Tschofenig <[email-masked]> wrote:

> Hi Vijay,
> 
> thanks for the time to review the document so carefully.
> 
> I have just submitted an updated version and I indeed think that your review feedback has improved the quality of the document.
> 
> Ciao
> Hannes
> 
> On 27.09.2013 22:17, Vijay K. Gurbani wrote:
>> Hannes:
>> 
>> I am happy with the changes outlined below. I am convinced they
>> make the document better. Thank you for attending to my comments.
>> 
>> On 09/27/2013 01:48 PM, Hannes Tschofenig wrote:
>>> Hi Vijay,
>>> 
>>> I updated the draft to take your remarks into account.
>>> 
>>> I liked the security requirements text to the security threats section,
>>> as you suggested.
>>> 
>>> I believe you have a point regarding the remark about the security
>>> solution. The current description focuses on the PSAP but not on the UA.
>>> I assumed that we essentially inherit the functionality from the
>>> PhoneBCP document but that should be expressed somewhere.
>>> 
>>> So, I added the following section to the draft:
>>> 
>>> ----
>>> 
>>> The approach for dealing with implementing the security requirements
>>> described in Section 5.2 can be differentiated between the behavior
>>> applied by the UA and by SIP proxies. A UA that has made an
>>> emergency call will keep state information so that it can recognize
>>> and accepted a callback from the PSAP if it occurs within a
>>> reasonable time after an emergency call was placed, as described in
>>> Section 13 of [RFC6443]. Since UA considerations are described
>>> already in [RFC6443] as well as in [RFC6881] the rest of this section
>>> focuses on the behavior of SIP proxies.
>>> 
>>> -----
>>> 
>>> What do you think about that addition? Do you think it addresses your
>>> concern?
>> 
>> Cheers,
>> 
>> - vijay
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art